Я установил Pytorch (0.4.1) с CUDA 9.0 через anaconda.
Я также установил драйвер Nvidia (390.30).
Через nvidia-smi я могу увидеть все графические процессоры (V100) с их ситуацией.
Но я всегда получаю False при вызове torch.cuda.is_avaliable ().
Я также пытался понизить версию CUDA с 9.0 до 8.0, но ситуация была такой же.
Пытался снова установить Pytorch, но ничего не изменилось. Кто-нибудь может мне помочь, пожалуйста?

1
gasoon 23 Окт 2018 в 13:09

2 ответа

Лучший ответ

Похоже, это проблема с контейнером Nvidia.
После понижения версии контейнера Nvidia с 18.08 до 18.07 весь код работает нормально.

1
MBT 21 Ноя 2018 в 13:44

Лучше позволить анаконде все делать сама. На данный момент у меня есть pytorch версии 0.2, cudatoolkit версии 7.5, cudnn версии 5.1. Работает нормально. Можешь попробовать

conda update --all

Это должно решить все конфликты.

0
Milo Lu 24 Окт 2018 в 03:18
52946435